XkbFreeGeomDoodads(3)

NAME
XkbFreeGeomDoodads - Free geometry doodads

SYNOPSIS
void XkbFreeGeomDoodads ( doodads, count, free_all )
      XkbDoodadPtr doodads;
      int count;
      Bool free_all;

ARGUMENTS

- doodads
    doodads to be freed

- count
    number of doodads to be freed

- free_all
    True => all doodads are freed

DESCRIPTION

Xkb provides a number of functions to allocate and free subcomponents of a keyboard geometry. Use these functions to create or modify keyboard geometries. Note that these functions merely allocate space for the new element(s), and it is up to you to fill in the values explicitly in your code. These allocation functions increase sz_* but never touch num_* (unless there is an allocation failure, in which case they reset both sz_* and num_* to zero). These functions return Success if they succeed, BadAlloc if they are not able to allocate space, or BadValue if a parameter is not as expected.

If free_all is True, all doodads in the array are freed, regardless of the value of count. Otherwise, count doodads are freed.

RETURN VALUES

Success
    The XkbFreeGeomDoodads function returns Success if there are no allocation errors.

DIAGNOSTICS

BadAlloc
    Unable to allocate storage

BadValue
    An argument is out of range